API documentation | API docs for agents | OpenAPI 3.1

PUT /api/v1/users/{userId}/teams

ark.assign_user_to_teams

Replaces a non-driver organization user team assignment set and default team. Requires tenant-admin access and admin:write.

Availability
Expanded preview
Scopes
admin:write
ARK permissions
None
Team visibility
Not entity-scoped
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

userIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

teamIdsarray<string>required

min items: 1; max items: 100

defaultTeamIdstringrequired

format: uuid

Example request

Shell
curl -X PUT 'https://arktms.com/api/v1/users/<userId>/teams' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{
  "teamIds": [
    "<teamIds>"
  ],
  "defaultTeamId": "<defaultTeamId>"
}'

Success response

Updated user team assignments

objectstringrequired

one of: api_response

okbooleanrequired

one of: true

api_versionstringrequired

one of: 2026-05-31

request_idstringrequired
dataobjectrequired
data.userIdstringrequired

format: uuid

data.teamIdsarray<string>required
data.defaultTeamIdstringrequired

format: uuid

data.messagestringrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found